Subject: Re: PINE-INFO digest 1426

From: Matt Ackeret <[email-masked]>
Date: Mon, 26 Aug 2002 12:05:23 -0700 (PDT)

On Sun, 25 Aug 2002 [email-masked] wrote:
>Date: Sat, 24 Aug 2002 18:29:38 -0700
>From: Tom Pratum <[email-masked]>
>Subject: pine4.44 will not build under osx10.2/ dev tools 10.2
>Message-ID: <[email-masked]>
..
>I can't get pine4.44 to build under osx10.2 with dev tools 10.2 loaded.
>Below is part of the build output which shows the error:
...
>Making Pine and rpload/rpdump.
>make CC=cc -f makefile.osx
>rm -f os.h
>ln -s osdep/os-osx.h os.h
>./cmplhlp2.sh  < pine.hlp > helptext.h
>cc   -g -DDEBUG   -Dconst= -DSYSTYPE=\"OSX\"   -c -o addrbook.o
>addrbook.c
>/usr/include/sys/cdefs.h:84: warning: redefinition of macro const
>In file included from ../pico/headers.h:31,
>                  from headers.h:59,
>                  from addrbook.c:48:
>../pico/os.h:185: conflicting types for `sys_nerr'
>/usr/include/stdio.h:265: previous declaration of `sys_nerr'
>make: *** [addrbook.o] Error 1
...
>A simple minded commenting out of "external int sys_nerr;" in os-osx.h
>seems only to make matters worse. I tried compiling with both cc and
>gcc.
>Helpful hints or corrections are welcome.

Well, presumably pine is expecting the one in os.h..

So my simple-minded attempt would be to comment out the one in the
system header (at least temporarily).. Maybe add a #warning for yourself
so that you realize you changed the file from the defaults.

Hmm, maybe I haven't actually compiled pine on OSX lately.. I think mine
is still from a 10.1.5-era compile.. (with a little skanky script in place
to workaround the curses move).